#include<fstream>
using namespace std;
int n;
int giaithua(int a)
{
	if(a==0)
	{
		return 1;
	}
	else
	{
		return giaithua(a-1)*a;
	}
}
int tqt(int a)
{
	if(a==1)
	{
		return 1;
	}
	else
	{
		return tqt(a-1)+giaithua(a);
	}
}
int tl(int a)
{
	if(a==1)
	{
		return 1;
	}
	if(a>1)
	{
		return tl(a-2)+a;
	}
}
int tc(int a)
{
	if(a==2)
	{
		return 2;
	}
	if(a>2)
	{
		return tc(a-2)+a;
	}
}
int main()
{
	ifstream fi("DQQT.inp");
	ofstream fo("DQQT.out");
	fi>>n;
	if(n%2==0)
	{
		fo<<tl(n-1)-tc(n)<<endl;
	}
	else
	{
		fo<<tl(n)-tc(n-1)<<endl;
	}
	fo<<tqt(n);
	fi.close();
	fo.close();
	return 0;
}
